> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Promotions by promotion ID

> Retrieves details of a specific promotion based on the specified promotion ID.



## OpenAPI

````yaml offers_v1 get /api-price/promo/{promoId}
openapi: 3.0.0
info:
  description: >-
    fabric e-commerce Offers APIs allow you to to set up and manage stock
    keeping unit (SKU) prices. Its wide range of coupon and promotion features
    let you design deals ranging from single-use, customer-specific coupons to
    site-wide promotions.
  version: 1.0.0
  title: Offers v1
  contact:
    email: support@fabric.inc
  license:
    name: fabric API license
    url: https://fabric.inc/api-license
servers:
  - url: https://prod01-apigw.{customer_name}.fabric.zone
    description: Production
    variables:
      customer_name:
        default: yourcompany
        description: Customer name, provided by support team
security: []
tags:
  - name: Pricing
    description: Pricing APIs enable you to add price details for one or many items.
  - name: Promotions
    description: >-
      Promotion APIs enable you to apply and verify promotions and discount
      coupons.
  - name: Login API
    description: >-
      Login endpoint generates an authorization token for local users that they
      can use to log into fabric copilot application. <br /><br /> **Note:** A
      local user is someone who has an active account with fabric Inc
externalDocs:
  description: Learn more about Offers
  url: https://fabric.inc/knowledgebase/offers
paths:
  /api-price/promo/{promoId}:
    get:
      tags:
        - Promotions
      summary: Get Promotions by promotion ID
      description: >-
        Retrieves details of a specific promotion based on the specified
        promotion ID.
      operationId: getPromoCommerce
      parameters:
        - $ref: '#/components/parameters/xSiteContent'
        - in: path
          name: promoId
          schema:
            type: string
          required: true
          example: '1000011218'
          description: Get promotions based on promotion ID
      responses:
        '200':
          description: Successfull
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/promo-single'
        '400':
          description: Client error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/clientError'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/serverError'
components:
  parameters:
    xSiteContent:
      name: x-site-context
      in: header
      description: >-
        The `x-site-context` header is a JSON object that contains information
        about the source you wish to pull from. The mandatory `account` is the
        24 character identifier found in Copilot. The `channel` (Sales channel
        ID), `stage` (environment name), and `date` attributes can be used to
        further narrow the scope of your data source.
      required: true
      schema:
        type: string
        example: >-
          {"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account":
          "1234abcd5678efgh9ijklmno","stage":"production"}
  schemas:
    promo-single:
      type: object
      properties:
        _id:
          type: string
          description: The 24 character system-generated ID (for internal use only).
          example: 5ff58d31358319306ac05349
        promoCodes:
          description: The promotional codes.
          example:
            - updatePromoCode
          type: array
          items:
            type: string
        state:
          type: string
          description: The state of the promotion.
          example: ACTIVE
          enum:
            - SCHEDULED
            - ACTIVE
            - DISABLED
            - EXPIRED
        isImplicit:
          type: boolean
          description: >-
            `True` indicates that the promo is a coupon and `False` indicates
            promotion.
          example: false
        isExclusive:
          type: boolean
          description: >-
            `True` indicates that coupon is non-stackable and `False` indicates
            stackable.
          example: false
        title:
          type: string
          description: The title of the promotion.
          example: HURRY
        startDate:
          type: string
          description: The promotion start date and time, in ISO format.
          example: '2020-12-03T09:30:00.965Z'
        endDate:
          type: string
          description: The promotion end date and time, in ISO format.
          example: '2020-12-03T18:30:00.000Z'
        type:
          type: string
          description: The type or kind to which the promotion is applied.
          example: PRODUCT
        promo:
          description: The details of the promotions.
          type: array
          items:
            $ref: '#/components/schemas/promo'
        extra:
          $ref: '#/components/schemas/extra'
          description: For internal use only.
        limits:
          $ref: '#/components/schemas/promo-limits'
          description: >-
            The coupon or promo limitations. For example, limit can be set for
            the coupon to be used only 4 times per user and 10 times in total
            across all customer.
        promoId:
          type: number
          description: >-
            The human-readable ID for a set of promotion codes, for external
            use.
          example: 1422
        termsAndConditions:
          $ref: '#/components/schemas/terms-and-conditions'
          description: The terms and conditions of the promotion.
        createdAt:
          type: string
          description: The time stamp of promo creation, in ISO format.
          example: '2021-01-06T10:13:05.169Z'
        updatedAt:
          type: string
          description: The time stamp of promo update, in ISO format.
          example: '2021-01-06T10:36:41.038Z'
        __v:
          type: number
          description: The internal version of the record.
          example: 0
    clientError:
      type: object
      properties:
        code:
          description: The error code, meant for machine consumption.
          type: string
          example: 400
        message:
          description: A human-readable description of the error that occurred.
          type: string
          example: SKU cannot be empty
    serverError:
      type: object
      properties:
        code:
          description: The error code, meant for machine consumption.
          type: string
          example: 500
        message:
          description: A human-readable description of the error that occurred.
          type: string
          example: >-
            An internal error occurred. If the issue persists please contact
            support@fabric.inc.
    promo:
      type: object
      properties:
        condition:
          description: The condition ID (for internal use only).
          example:
            - 5fc8aedcdf91700008c62917
          type: array
          items:
            type: string
        discount:
          description: The details of the applicable discount.
          type: array
          items:
            $ref: '#/components/schemas/discount'
        targetProducts:
          description: >-
            Represents the type or kind of target products, to run the
            promotions.
          type: array
          items:
            $ref: '#/components/schemas/target-products'
    extra:
      type: object
      description: It stores data related to Front end
      example: {}
    promo-limits:
      type: object
      properties:
        _id:
          description: The system-generated ID (for internal use only).
          type: string
          example: 603eae614b40770007494683
        kind:
          description: >-
            Represents coupon or promo limitation per customer and/or across the
            site (for all customers).
          type: string
          example: PER_USER
        value:
          description: The value set for the limit.
          type: number
          example: 4
        id:
          description: The reference ID of the limit (for internal use only).
          type: string
          example: 603eae614b40770007494683
    terms-and-conditions:
      type: object
      properties:
        _id:
          type: string
          description: >-
            The system-generated ID for the terms and conditions (for internal
            use only).
          example: 5fc8ad76969f071ff85221e4
        title:
          type: string
          description: The title of the terms and condition.
          example: Entering a Coupon
        description:
          type: string
          description: The description of the terms and condition.
          example: >-
            Each coupon is identified by a code and has different rewards. The
            claimant can decide the reward desired during the booking phase
            whilst being bound by the conditions linked to the redemption of the
            coupon.
    discount:
      type: object
      properties:
        _id:
          type: string
          description: The system-generated ID (for internal use only).
          example: 5f9be340dde1cd0008f96035
        unit:
          type: string
          description: >-
            The unit of discount. Represents whether the discount is in
            percentage or dollar value.
          example: AMOUNT_OFF
          enum:
            - '%OFF'
            - AMOUNT_OFF
        value:
          type: number
          description: The discount value.
          example: 300
        'ON':
          $ref: '#/components/schemas/ON'
          description: >-
            For internal use only. Represents the promotion type (SKU, CART, or
            QUANTITY) that was applied.
        id:
          type: string
          description: The ID of the discount.
          example: 5f9be340dde1cd0008f96035
        promoId:
          type: string
          description: The 24 character system-generated ID for a set of promotion codes.
          example: 5f9be340dde1cd0008f96034
        promoCode:
          type: string
          description: The promo code (for customer use).
          example: 300DOFF
        promoTitle:
          type: string
          description: The title of the promotions.
          example: SKU 300 D off all skus
        type:
          type: string
          description: The type of promotions.
          example: COUPON
          enum:
            - PROMOTION-SKU
            - PROMOTION-SHIPPING
            - PROMOTION-CART
            - PROMOTION-QUANTITY
            - COUPON
    target-products:
      type: object
      properties:
        kind:
          type: string
          description: Represents the type or kind of target products.
          example: SKU
          enum:
            - SKU
            - CATEGORY
            - ATTRIBUTE
        value:
          type: string
          description: >-
            Represents the target product for which offer must be applied as per
            the selected operator and kind.
          example: '*'
        operator:
          type: string
          description: Represents the supported operations on the targer product.
          example: IN
          enum:
            - NOT_IN
            - IN
            - EQUAL
    'ON':
      type: object
      properties:
        kind:
          type: string
          description: The kind or type to which the promotion is applied.
          example: SKU
          enum:
            - SKU
            - CATEGORY
            - ATTRIBUTE
        value:
          type: string
          description: The value of promotion.
          example: null

````